<?php
	$colors = isset( $GLOBALS['_wp_admin_css_colors'] ) && is_array( $GLOBALS['_wp_admin_css_colors'] ) ? $GLOBALS['_wp_admin_css_colors'] : null;
	$tabs_text_color = '#C2C2C2';
	$tabs_border_color = 'rgba(194, 194, 194, 0.1)';
	$tabs_search_count_bg = '#4D4D4D';
	$header_bg = '#3F3F3F';
	$aside_bg = '#4E4E4E';
	if( isset( $colors ) ){
		switch( get_user_option('admin_color') ){
			case( 'fresh' ):
				$tabs_search_count_bg = '#D54E21';
				break;
			case( 'light' ):
				$tabs_text_color = '#EBEBEB';
				$tabs_border_color = 'rgba(255, 255, 255, 0.11)';
				break;
			case( 'blue' ):
				$tabs_text_color = '#C8E1EB';
				$tabs_border_color = 'rgba(158, 205, 223, 0.2)';
				break;
			case( 'coffee' ):
				$tabs_search_count_bg = '#9EA476';
				$tabs_text_color = '#C5C1BC';
				break;
			case( 'ectoplasm' ):
				$tabs_search_count_bg = '#D46F15';
				break;
			case( 'midnight' ):
				$tabs_search_count_bg = '#69A8BB';
				break;
			case( 'ocean' ):
				$tabs_text_color = '#D6DBDD';
				$tabs_search_count_bg = '#AA9D88';
				$tabs_border_color = 'rgba(163, 178, 182, 0.2)';
				break;
			case( 'sunrise' ):
				$tabs_text_color = '#E7E7E7';
				$tabs_border_color = 'rgba(226, 118, 114, 0.45)';
				break;
		}
		$aside_bg   = $colors[get_user_option('admin_color')]->colors[1];
		$header_bg  = $colors[get_user_option('admin_color')]->colors[2];

	}

	?>
<style type="text/css">
	#ipanel-aside{
		background-color: <?php echo $aside_bg; ?>;
	}
	#ipanel-header{
		background-color: <?php echo $header_bg; ?>;
	}
	.ipanel-tabs a{
		color: <?php echo $tabs_text_color; ?>;
	}
	#ipanel-aside #ipanel-search-box input[type=text]{
		<?php
			$color = hex2rgb( str_replace( '#', '', $tabs_text_color ) );
		?>
		color: <?php echo "rgba({$color[0]},{$color[1]},{$color[2]},0.5)"; ?> !important;
	}
	.ipanel-tabs > li > a{
		border-color: <?php echo $tabs_border_color; ?> !important;
	}
	.ipanel-tabs > li > a > .count{
		background: <?php echo $tabs_search_count_bg; ?>;
	}
</style>
<script type="text/javascript" src="<?php echo $template['url'] . 'includes/templates/default-admin-theme/general.js'; ?>"></script>
<link rel='stylesheet' href='<?php echo $template['url'] . 'includes/templates/default-admin-theme/general.css'; ?>' type='text/css' media='all' />

<div class="wrap">
	<form action="<?php echo admin_url('admin-ajax.php'); ?>" method="post" id="ipanel-form">
		<div id="ipanel-header" class="ipanel-header-background-color">
			<h2><?php echo $template['name']; ?></h2>
		</div>
		<div id="ipanel-wrapper">
			<div id="ipanel-aside">
				<div id="ipanel-search-box">
					<label>
						<input class="ipanel-search-input" value="Search something..." data-value="Search something..." onblur="if(this.value == '') this.value = 'Search something...';" onfocus="if(this.value == 'Search something...') this.value = '';" type="text"/>
					</label>
					<i> </i>
				</div>
				<?php echo $template[ 'tabs' ]; ?>
			</div>
			<div id="ipanel-main-section">
				<div id="ipanel-fields">
					<?php echo $template['fields']; ?>
				</div>
			</div>
		</div>
		<div id="ipanel-footer">
			<div>
				<?php echo $template[ 'hidden_fields' ]; ?>
				<div class="ipanel-panel-stuff">
					<span class="spinner"></span>
					<input type="submit" class="button button-primary ipanel-save" value="<?php echo __('Save Changes'); ?>">
					<a href="#" class="button button-primary ipanel-reset-panel"><?php echo __('Reset Settings'); ?></a>
				</div>
				<div class="clr"></div>
			</div>
		</div>
	</form>
</div>