<?php

	$theme_url = get_template_directory_uri() . '/';
	
	require_once 'ipanel/ipanel.php';
	
	
	function ipanel_sample_panel_fields(){
		global $theme_url;
		$options['ipanel_sample_panel'] = array(
			'fields' => array(
				array(
					"type" => "tab",
					'name' => 'Text field',
					"id" => "text_tab"
				),
				array(
					'id' => 'text',
					'type' => 'text',
					'name' => 'Text',
					'std' => 'my value',
					'desc_in_tooltip' => false,
					'desc' => 'Field Description.',

				),
				array(
					'id' => 'text_prefix',
					'type' => 'text',
					'name' => 'Text with prefix',
					'std' => 'my value',
					'prefix' => 'px',
					'desc_in_tooltip' => false,
					'desc' => 'Field Description.',

				),
				array(
					'id' => 'text_suffix',
					'type' => 'text',
					'name' => 'Text with suffix',
					'std' => 'my value',
					'suffix' => '@',
					'desc_in_tooltip' => false,
					'desc' => 'Field Description.',

				),

				array(
					"type" => "tab",
					"id" => "textarea_tab",
					"name" => "Textarea"
				),
				array(
					'id' => 'textarea_field',
					'type' => 'textarea',
					'name' => 'Textarea',
					'std' => 'my value',

				),

				array(
					"type" => "tab",
					"id" => "code_tab",
					"name" => "Code"
				),
				array(
					'id' => 'code_field',
					'type' => 'code',
					'name' => 'Code',
					'theme' => 'chaos',
					'lang' => 'html',
					'std' => '<p>Hello World!</p>'
				),
				array(
					'id' => 'code_field2',
					'type' => 'code',
					'name' => 'Code with github theme',
					'theme' => 'github',
					'lang' => 'html',
					'std' => '<p>Hello World!</p>'
				),
				array(
					'id' => 'code_field3',
					'type' => 'code',
					'name' => 'Code PHP',
					'lang' => 'php',
					'std' => '<?php echo "Hello World"; ?>'
				),
				array(
					"type" => "tab",
					"id" => "color_tab",
					"name" => "Color"
				),
				array(
					"name" => "Color Picker",
					"id" => "color_picker",
					"std" => "#dd4b39",
					"desc" => "This is a sample color field.",
					"type" => "color",

				),
				array(
					"type" => "tab",
					"id" => "wp_color",
					"name" => "Wordpress Color Picker"
				),
				array(
					"name" => "Wordpress Color Picker",
					"id" => "wp_color_tab",
					"std" => "#dd4b39",
					"desc" => "This is a sample color field.",
					"type" => "wp_color",
				),
				array(
					"type" => "tab",
					"id" => "wp_editor_tab",
					"name" => "Wordpress Editor"
				),
				array(
					'id' => 'wp_editor',
					'type' => 'wp_editor',
					'settings' => array(
						'media_buttons' => false
					),
					'name' => 'Wordpress Editor',
					'std' => 'my value',

				),

				array(
					"type" => "tab",
					"id" => "checkbox",
					"name" => "Checkbox"
				),
				array(
					"name" => "iPanel's Checkbox",
					"id" => "ipanel_checkbox",
					"std" => 1,
					'label' => "Check Me!",
					"desc" => "This is a sample of checkbox field.",
					"type" => "checkbox",
				),
				array(
					"name" => "iPanel's Checkbox (checked)",
					"id" => "checkbox2",
					"std" => 1,
					'label' => "Check Me!",
					"desc" => "This is a sample of checkbox field.",
					"type" => "checkbox",
				),
				array(
					"type" => "tab",
					"id" => "multicheckbox",
					"name" => "Multicheckbox"
				),
				array(
					"name" => "iPanel's Multi-Checkbox",
					"id" => "sample_multicheckbox_field2",
					"std" => array( 'option1', 'option3', 'option5' ),
					"options" => array(
						"option1" => "Option 1",
						"option2" => "Option 2",
						"option3" => "Option 3",
						"option4" => "Option 4",
						"option5" => "Option 5"
					),
					"desc" => "This is a sample of multi-checkbox field.",
					"type" => "multicheckbox",
				),
				array(
					"type" => "tab",
					"id" => "image_checkbox",
					"name" => "Image Checkbox"
				),
				array(
					"name" => "iPanel's Image-Checkbox",
					"id" => "image_checkbox",
					"std" => array( 'option1', 'option3', 'option5' ),
					"options" => array(
						"option1" => array(
							"label" => "Option 1",
							'image' => $theme_url . 'demo-images/image-select-option1.png'
						),
						"option2" => array(
							"label" => "Option 2",
							'image' => $theme_url . 'demo-images/image-select-option2.png'
						)
					),
					"desc" => "This is a sample of multi-checkbox field.",
					"type" => "image_checkbox",
				),
				array(
					"type" => "tab",
					"id" => "select",
					"name" => "Select"
				),
				array(
					'id' => 'select',
					'type' => 'select',
					'name' => 'Simple Select',
					'std' => 'my value',
					'select2' => false,
					'options' => ipanel_get_google_fonts()
				),
				array(
					'id' => 'select2',
					'type' => 'select',
					'name' => 'Select2',
					'std' => 'my value',
					'select2' => true,
					'options' => ipanel_get_google_fonts()
				),
				array(
					"type" => "tab",
					"id" => "multiselect",
					"name" => "Multiselect"
				),
				array(
					'id' => 'multiselect',
					'type' => 'multiselect',
					'name' => 'Simple Multi Select',
					'std' => array( 'option1' ),
					'select2' => false,
					'options' => array(
//						array(
//							'Group',
//							array(
//								'option_group1' => 'Option Group 1'
//							)
//						),
						'option1' => 'Option 1',
						'option2' => 'Option 2',
						'option3' => 'Option 3',
						'option4' => 'Option 4',
						'option5' => 'Option 5'
					)
				),
				array(
					'id' => 'multiselect2',
					'type' => 'multiselect',
					'name' => 'Multi Select2',
					'std' => array( 'option1' ),
					'select2' => true,
					'options' => array(
//						array(
//							'Group',
//							array(
//								'option_group1' => 'Option Group 1'
//							)
//						),
						'option1' => 'Option 1',
						'option2' => 'Option 2',
						'option3' => 'Option 3',
						'option4' => 'Option 4',
						'option5' => 'Option 5'
					)
				),
				array(
					"type" => "tab",
					"id" => "radio",
					"name" => "Radio"
				),
				array(
					'id' => 'radio',
					'type' => 'radio',
					'name' => 'Radio Field',
					'std' => 'option2',
					'options' => array(
						'option1' => 'Option 1',
						'option2' => 'Option 2',
						'option3' => 'Option 3',
						'option4' => 'Option 4',
						'option5' => 'Option 5'
					)
				),
				array(
					"type" => "tab",
					"id" => "image_radio",
					"name" => "Image Radio"
				),
				array(
					"name" => "iPanel's Image Radio",
					"id" => "image_radio",
					"std" => array( 'option1', 'option3', 'option5' ),
					"options" => array(
						"option1" => array(
							"label" => "Option 1",
							'image' => $theme_url . 'demo-images/image-select-option1.png'
						),
						"option2" => array(
							"label" => "Option 2",
							'image' => $theme_url . 'demo-images/image-select-option2.png'
						)
					),
					"desc" => "This is a sample of multi-checkbox field.",
					"type" => "image_radio",
				),
				array(
					"type" => "tab",
					"id" => "media",
					"name" => "Media"
				),
				array(
					"name" => "Media",
					"id" => "media2",
					"std" => array(
						'URL 1',
						'URL 2',
						'URL 3',
					),
					'multiple' => true,
					'button-text' => 'Media',
					"desc" => "This is a sample of media field.",
					"type" => "media",
				),
				array(
					"type" => "tab",
					"id" => "ajax_uploader",
					"name" => "Ajax Uploader"
				),
				array(
					"name" => "Ajax Uploader",
					"id" => "ajax_uploader",
					'button-label' => 'Select',
					"std" => '',
					'multiple' => false,
					"desc" => "This is a sample of media field.",
					"type" => "ajax_uploader",
				),
				array(
					"type" => "tab",
					"id" => "export",
					"name" => "Export"
				),
				array(
					'type' => 'export',
					'name' => 'Export',
					'id' => 'export'
				),
				array(
					"type" => "tab",
					"id" => "import",
					"name" => "Import"
				),
				array(
					'type' => 'import',
					'name' => 'Import',
					'id'  => 'import'
				),
				array(
					"type" => "tab",
					"id" => "typography",
					"name" => "Typography"
				),
				array(
					'type' => 'typography',
					'name' => 'Typography',
					'id'  => 'typography',
					'color' => true
				),
				array(
					"type" => "tab",
					"id" => "slider",
					"name" => "Slider"
				),
				array(
					'type' => 'slider',
					'name' => 'Slider',
					'id'  => 'slider',
					'options' => array(
						'animate' => true
					)
				),
				array(
					'type' => 'slider',
					'name' => 'Slider with tooltip',
					'id'  => 'slider2',
					'tooltip' => '%s px',
					'options' => array(
						'animate' => true
					)
				),
				array(
					"type" => "tab",
					"id" => "date",
					"name" => "Date"
				),
				array(
					'type' => 'date',
					'name' => 'Date',
					'id'  => 'date',
					'options' => array(
						'animate' => true
					)
				),
				array(
					"type" => "tab",
					"id" => "sorter",
					"name" => "Sorter"
				),
				array(
					'type' => 'sorter',
					'name' => 'Sorter',
					'id'  => 'sorter',
					"groups" => array(
						'group1' => array(
							'label' => 'GROUP 1',
							'items' => array(
								'g1_1' => 'Group 1 Block 1',
								'g1_2' => 'Group 1 Block 2',
								'g1_3' => 'Group 1 Block 3'
							)
						),
						'group3' => array(
							'label' => 'GROUP 3',
							'items' => array(
								'g3_1' => 'Group 3 Block 1',
								'g3_2' => 'Group 3 Block 2',
								'g3_3' => 'Group 3 Block 3'
							)
						),
					),
				),
				array(
					"type" => "tab",
					"id" => "repeater",
					"name" => "Repeater"
				),
				array(
					'id' => 'repeater',
					'type' => 'repeater',
					'options' => array(
						array(
							'type' => 'code',
							'name' => 'Repeater Text',
							'id' => 'repeater_text'
						),
						array(
							"name" => "Ajax Uploader",
							"id" => "ajax_uploader",
							'button-label' => 'Select',
							"std" => '',
							'multiple' => true,
							"desc" => "This is a sample of media field.",
							"type" => "ajax_uploader",
						),
						array(
							'type' => 'typography',
							'name' => 'Typography',
							'id'  => 'typography',
							'color' => true
						),
						array(
							'type' => 'textarea',
							'name' => 'Repeater Textarea',
							'id' => 'repeater_textarea'
						),
						array(
							"name" => "Color Picker",
							"id" => "color_picker",
							"std" => "#dd4b39",
							"desc" => "This is a sample color field.",
							"type" => "color",
						),
						array(
							"name" => "Wordpress Color Picker",
							"id" => "wp_color",
							"std" => "#dd4b39",
							"desc" => "This is a sample color field.",
							"type" => "wp_color",
						),
						array(
							'id' => 'wp_editor',
							'type' => 'wp_editor',
							'settings' => array(
								'media_buttons' => false
							),
							'name' => 'Wordpress Editor',
							'std' => 'my value'
						),
						array(
							"name" => "iPanel's Checkbox (checked)",
							"id" => "checkbox",
							"std" => 1,
							'label' => "Check Me!",
							"desc" => "This is a sample of checkbox field.",
							"type" => "checkbox",
						),
						array(
							"name" => "iPanel's Multi-Checkbox",
							"id" => "sample_multicheckbox_field2",
							"std" => array( 'option1', 'option3', 'option5' ),
							"options" => array(
								"option1" => "Option 1",
								"option2" => "Option 2",
								"option3" => "Option 3",
								"option4" => "Option 4",
								"option5" => "Option 5"
							),
							"desc" => "This is a sample of multi-checkbox field.",
							"type" => "multicheckbox",
						),
						array(
							'id' => 'select',
							'type' => 'select',
							'name' => 'Select',
							'std' => 'my value',
							'options' => array(
								array(
									'Group',
									array(
										'option_group1' => 'Option Group 1'
									)
								),
								'option1' => 'Option 1'
							)
						),

						array(
							'id' => 'multiselect',
							'type' => 'multiselect',
							'name' => 'Multi Select',
							'std' => array( 'option1' ),
							'options' => array(
								array(
									'Group',
									array(
										'option_group1' => 'Option Group 1'
									)
								),
								'option1' => 'Option 1',
								'option2' => 'Option 2',
								'option3' => 'Option 3',
								'option4' => 'Option 4',
								'option5' => 'Option 5'
							)
						),
						array(
							'id' => 'radio',
							'type' => 'radio',
							'name' => 'Radio Field',
							'std' => 'option2',
							'options' => array(
								'option1' => 'Option 1',
								'option2' => 'Option 2',
								'option3' => 'Option 3',
								'option4' => 'Option 4',
								'option5' => 'Option 5'
							)
						),
						array(
							'type' => 'date',
							'name' => 'Date',
							'id'  => 'date',
							'options' => array(
								'animate' => true
							)
						),
						array(
							'type' => 'slider',
							'name' => 'Slider',
							'id'  => 'slider',
							'options' => array(
								'animate' => true,
								'min' => 10,
								'max' => 20
							),
							'tooltip' => '%s'
						),

						array(
							"name" => "Media",
							"id" => "media2",
							"std" => '',
							'button-text' => 'Media',
							"desc" => "This is a sample of media field.",
							"type" => "media",
						),



					),
					'name' => 'Repeater',
					'title' => 'Item %d',
					'std' => array()
				),
				array(
					'type' => 'tab',
					'name' => 'Other Fields',
					'id' => 'other_fields_tab'
				),
				array(
					'type' => 'subtab',
					'name' => 'Conditional Logic',
					'id' => 'conditional_logic_tab'
				),
				array(
					'type' => 'text',
					'id' => 'conditional_logic_1',
					'name' => 'Sample Field (write "test" in the input)',
					'conditional_logic' => array(
						array(
							'value' => 'test',
							'operator' => '!=',
							'result' => array(
								'hide' => 'conditional_logic_2'
							)
						),
						array(
							'value' => 'test',
							'operator' => '==',
							'result' => array(
								'show' => 'conditional_logic_2'
							)
						)
					),
				),
				array(
					'type' => 'info',
					'class' => 'hide',
					'text' => 'Try to write something else in the input. Then this field will be hidden.',
					'id' => 'conditional_logic_2'
				),

				array(
					'type' => 'subtab',
					'name' => 'Info Boxes',
					'id' => 'info_box_tab'
				),
				array(
					'type' => 'info',
					'text' => 'Info box sample!'
				),
				array(
					'type' => 'info',
					'style' => 'danger',
					'text' => 'Info box with danger sample!'
				),
				array(
					'type' => 'info',
					'style' => 'success',
					'text' => 'Info box sample with success style!'
				),
				array(
					'type' => 'info',
					'style' => 'alert',
					'text' => 'Info box sample with alert style!'
				),
				array(
					'type' => 'subtab',
					'name' => 'Section',
					'id' => 'section_tab'
				),
				array(
					'type' => 'open_section',
					'name' => 'Sample Section'
				),
				array(
					'type' => 'text',
					'name' => 'Sample Filed 1',
					'id' => 'sample_field1'
				),
				array(
					'type' => 'text',
					'name' => 'Sample Filed 2',
					'id' => 'sample_field2'
				),
				array(
					'type' => 'close_section'
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Categories',
					'id' => 'categories_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Categories',
					'id' => 'wp_cats',
					'options' => ipanel_get_categories()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Tags',
					'id' => 'tags_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Tags',
					'id' => 'wp_tags',
					'options' => ipanel_get_tags()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Users',
					'id' => 'users_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Users',
					'id' => 'wp_users',
					'options' => ipanel_get_users()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Posts',
					'id' => 'posts_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Posts',
					'id' => 'wp_posts',
					'options' => ipanel_get_posts()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Pages',
					'id' => 'pages_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Pages',
					'id' => 'wp_pages',
					'options' => ipanel_get_pages()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Post Types',
					'id' => 'post_types_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Post Types',
					'id' => 'wp_post_types',
					'options' => ipanel_get_post_types()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Taxonomies',
					'id' => 'taxonomies_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Taxonomies',
					'id' => 'wp_taxonomies',
					'options' => ipanel_get_taxonomies()
				),
				array(
					'type' => 'subtab',
					'name' => 'Wordpress Plugins',
					'id' => 'plugins_tab'
				),
				array(
					'type' => 'select',
					'name' => 'Wordpress Plugins',
					'id' => 'wp_plugins',
					'options' => ipanel_get_plugins()
				),
			),
			'settings' => array(
				'name' 		   	    => 'Settings Page',
				'desc_in_tooltip'   => true,
				'text_domain'  	    => 'my_textdomain',
				'url'		  		=>  $theme_url . 'ipanel/',
				'help_tabs' 		=> array(
					array(
						'title' => 'Lorem Impsum',
						'content' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
					),
					array(
						'title' => 'Lorem Impsum',
						'content' => "Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of \"de Finibus Bonorum et Malorum\" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, \"Lorem ipsum dolor sit amet..\", comes from a line in section 1.10.32."
					),
					array(
						'title' => 'Lorem Impsum',
						'content' => "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
					)
				)
			)
		);
		return $options;
	}
	add_filter( 'ipanel_options', 'ipanel_sample_panel_fields' );

	
	
	
	
	add_action( 'admin_menu', 'ipanel_register_theme_menu' );
	function ipanel_in_plugin_callback(){
		echo $GLOBALS['ipanel']['ipanel_sample_panel']->callback();
	}
	function ipanel_register_theme_menu(){
		$hook = add_menu_page( 'iPanel in theme', 'iPanel in theme', 'manage_options', 'ipanel_in_theme', 'ipanel_menu_callback_in_theme', null, 6 );
		add_action( 'load-'.$hook, create_function( '', '$GLOBALS["ipanel"]["ipanel_sample_panel"]->load();' ) );
	}
	function ipanel_menu_callback_in_theme(){
		echo $GLOBALS['ipanel']['ipanel_sample_panel']->callback();
	}
	